{% extends "base.html" %} {% load crispy_forms_tags %} {% load static %}

    {% block internal_css %}
    <link rel="stylesheet" href="{% static 'css/batchUpload.css' %}">
    {% endblock %}
    {% block internal_js %}
    <script src="{% static 'js/batchUpload.min.js' %}"></script>
    {% endblock %}
{% block content %}
<div id="batch_upload_content_div">
    <div>
        <h1>CSV Upload</h1>
        <br>
        <p>
            On the <a href="/dcc/help/">help page</a> you can find a description on how the CSV file has to be structured and the definitions of the terms.
            <p>An excel document with an example upload can be found at <a href="/static/Sample_Batch_Upload.xlsx">this link</a>.
                <br><br>
                In order to use this as a batch upload csv file, the file must be saved in any supported CSV format from excel (note that the date may auto correct to an unacceptable format and should be formatted as text before saving as a CSV file).
                <br><br>
                You can find the an example of a correctly formated CSV file at <a href="/static/Sample_Batch_Upload.csv">this link</a>.</p>
        </p>
        <p>You can find definitions of the terms used on the <a href="/dcc/help">help page</a>, including a list of the <a href="/dcc/help/#help_tables">controlled vocabulary terms</a>.</p>

    </div>
        <legend>
            <h2>Batch Upload Input</h2></legend>
        <form action="/dcc/batchUpload/" class="form-horizontal" method="post" enctype="multipart/form-data">
            {% crispy batchForm batchForm.helper %}

            <div class="form-actions">

                <button type="submit" name="submit" value="Save" class="btn btn--submit btn-success" id="upload_button" data-loading-text="<i class='fas fa-circle-notch fa-spin'></i> Processing">Submit</button>
            </div>
        </form>
    </div>
</div>

{% endblock %}
